/**
 * filename : Dictionary.java
 * package  : de.renem.android.dictionary
 *
 * Dictionary ruft 3 verschiedene Activitys auf. 
 * 
 * 1. DictionaryEdit (ndert einen Datensatz)
 * 2. DictionaryAdd (Datensatz hinzufgen)
 * 3. DictionaryList (Datenstze auflisten)
 *
 * DictionaryEdit und DictionaryAdd werden zum Verstndniss auch aus DictionaryList
 * ber ein Kontextmen aufgerufen. 
 * 
 * Wegen der bersicht und der Flexibilitt, wird die SQL-Datenbank nicht einmal 
 * in der Hauptaktivitt (Dictionary) geffnet und anschlieend an anderen Aktivitten
 * (DictionaryList, DictionaryEdit) weiter gereicht. Lediglich die Satznummer (_id) wird
 * bergeben. Wenn also aus der Liste heraus ein Datensatz gendert werden soll, startet
 * z.B. aus DictionaryList die Aktivitt DictionaryEdit. DictionaryEdit ffnet die Datenbank 
 * mit der Abfrage auf die gewnschte _id. Ein Test mit 10.000 Datenstze auf einem HTC-Magic 
 * verlief erfolgreich und ohne Verzgerung. Lediglich das ffnen der ListView dauert
 * so ca. 1 Sekunde. Dies liegt daran das 10.000 Datenstze in ein Array (ber den Adapter)
 * gepackt werden.
 * 
 * DictionaryEdit wird zum bearbeiten und zur Neuanlage verwendet. bergibt man dem Activity 
 * (ber das Bndel) die _id mit dem Wert "0", bedeutet dies, Datensatz neu anlegen.
 *  
 * SeekEdit gibt lediglich einen Wert zurck. Dieser wird fr die neue SQL-Abfrage verwendet.
 * Im Grunde ist es kein suchen sondern filtern. Es werden die Eintrge in der Liste angezeigt 
 * die das Suchwort von seekEdit enthalten. Die Abfrage wird mit like durchgefhrt.  
 *
 * Using JRE 1.6.0_21
 *
 * @author renem
 * @date 14.10.2010
 * @version 1.0
 *
 * weitere Beispiele unter www.android.renem.de
 * 
 */
package de.christophe.uebungen;


import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.view.MotionEvent;
import android.view.View;
import android.view.View.OnTouchListener;
import android.widget.Button;
import android.widget.TextView;
import android.widget.Toast;


public class Uebungen extends Activity {

	// Mit dieser Datenbank arbeiten alle Activitys.
	public static final String SQL_DATABASE = "Uebungen.db";

	/* (non-Javadoc)
	 * @see android.app.Activity#onCreate(android.os.Bundle)
	 */
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
        Log.e("MyApp", "-- ON CREATE --");

		setContentView(R.layout.main);
		
        Button btnList = (Button) findViewById(R.id.List);
		btnList.setOnTouchListener(onTouchButton);

		TextView myMessage = (TextView) findViewById(R.id.message);
        myMessage.setText("Beispiel Uebungen");    

	}	

	OnTouchListener onTouchButton = new OnTouchListener() {
		
		public boolean onTouch(View v, MotionEvent event) {

	    	switch (v.getId()) {
	    		
	    		case R.id.List:
	    			if( event.getAction() == MotionEvent.ACTION_UP){
	    				Intent intent = new Intent(getApplicationContext(), UebungenList.class);
	    				startActivityForResult(intent, 1);
	    			}
	    			break;
	    	}
	        return false;
		}
		
	};
	
    public void onActivityResult(int requestCode, int resultCode, Intent data) {
        // Rckgabe der Activitys. Das Bndel wird in den jeweiligen Activitys
    	// (DictionaryEdit, DictionaryAdd) mit Informationen gefllt.
        switch (requestCode) {

        case 1:
			Toast.makeText(getApplicationContext(), "Die ListView wurde aufgerufen", Toast.LENGTH_LONG).show();
            break;

        }
    }
    
}