/**
 * filename : DictionaryList.java
 * package  : de.renem.android.dictionary
 *
 * Listet Datenstze aus der Tabelle DICTIONARY. Mit Hilfe eines
 * Kontextmens (LongClick auf ListView) sind nderungen mglich.
 *
 * Using JRE 1.6.0_21
 *
 * @author renem
 * @date 14.10.2010
 * @version 1.0
 *
 * weitere Beispiele unter www.android.renem.de
 * 
 */
package de.christophe.uebungen;

import android.app.ListActivity;
import android.database.Cursor;
import android.os.Bundle;
import android.util.Log;
import android.view.ContextMenu;
import android.view.ContextMenu.ContextMenuInfo;
import android.view.MenuInflater;
import android.view.View;
import android.widget.SimpleCursorAdapter;

public class UebungenList extends ListActivity {

    private RMDatabase mDB = null; 
    
    // Adapter fr die ListView
    private SimpleCursorAdapter mAdapter;

    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        Log.e("MyApp", "+-- ON CREATE --+ DictionaryList");
		
        // Objekt der RMDatabase erzeugen
		mDB = new RMDatabase();

		// Datenbank ffnen. Geht was schief, dann raus!
		if(!mDB.open(Uebungen.SQL_DATABASE)){
			finish();
			return;
		}
		
		// Den Inhalt der ListView erzeugen. Angezeigt dir das Attribut Auswahl.
		// Hier werden mehrere Attribute mit Pipes angehangen.
		// Es ginge auch : "SELECT Source AS Auswahl FROM DICTIONARY"
        initListView("SELECT _id,  Uebungen || ' / ' || Muskel AS Auswahl FROM AlleUebungen");
        
    }

	public void onCreateContextMenu(ContextMenu menu, View v,
			ContextMenuInfo menuInfo) {
		super.onCreateContextMenu(menu, v, menuInfo);
		// Men siehe res/menu
		menu.setHeaderTitle("Titel");
		MenuInflater inflater = getMenuInflater();
        inflater.inflate(R.menu.menu_dictionary_list, menu);
	}
    
    public void onDestroy() {
        super.onDestroy();
        Log.e("MyApp", "-- ON DESTROY -- DictionaryList");
        // Datenbank schlieen.
		mDB.close();
    }
    
    private void initListView(String sql){
    	
    	// Abfrage erstellen. In cur ist das Ergebnis der Abfrage.
        Cursor cur = mDB.getDatabase().rawQuery(sql, null);
        
        if (cur != null) {
        	// Einen Adapter ertellen und der ListView zuweisen..
        	startManagingCursor(cur);
            mAdapter = new SimpleCursorAdapter(this, R.layout.uebungen_list, cur,
                    new String[] { "Auswahl" }, new int[] { android.R.id.text1 });
            setListAdapter(mAdapter);
        }

    }
    
}
